
import com.ibm.websphere.sca.Service;
import com.ibm.websphere.sca.Ticket;
import commonj.sdo.DataObject;
import com.ibm.websphere.sca.ServiceManager;

public class Component2Impl {
	/**
	 * Default constructor.
	 */
	public Component2Impl() {
		super();
	}

	/**
	 * Return a reference to the component service instance for this implementation
	 * class.  This method should be used when passing this service to a partner reference
	 * or if you want to invoke this component service asynchronously.    
	 *
	 * @generated (com.ibm.wbit.java)
	 */
	@SuppressWarnings("unused")
	private Object getMyService() {
		return (Object) ServiceManager.INSTANCE.locateService("self");
	}

	/**
	 * This method is used to locate the service for the reference
	 * named "JDBCOutboundInterfacePartner".  This will return an instance of 
	 * {@link com.ibm.websphere.sca.Service}.  This is the dynamic
	 * interface which is used to invoke operations on the reference service
	 * either synchronously or asynchronously.  You will need to pass the operation
	 * name in order to invoke an operation on the service.
	 *
	 * @generated (com.ibm.wbit.java)
	 *
	 * @return Service
	 */
	public Service locateService_JDBCOutboundInterfacePartner() {
		return (Service) ServiceManager.INSTANCE
				.locateService("JDBCOutboundInterfacePartner");
	}

	/**
	 * Method generated to support implemention of operation "invoke" defined for WSDL port type 
	 * named "CustomerInterface".
	 * 
	 * The presence of commonj.sdo.DataObject as the return type and/or as a parameter 
	 * type conveys that its a complex type. Please refer to the WSDL Definition for more information 
	 * on the type of input, output and fault(s).
	 */
	public void invoke(DataObject input1) {
		Service customerService = locateService_JDBCOutboundInterfacePartner();
		// Check the verb and call the appropriate method on
		// JDBCOutboundInterface
		String verb = input1.getString("verb");
		String objType = input1.getType().getName();

		if (verb.equalsIgnoreCase("create")) {

			customerService.invoke("create" + objType, input1);
		}
		if (verb.equalsIgnoreCase("update")) {
			customerService.invoke("update" + objType, input1);
		}
		if (verb.equalsIgnoreCase("delete")) {
			customerService.invoke("delete" + objType, input1);
		}
		if (verb == null || verb.equals("")) {
			customerService.invoke("retrieve" + objType, input1);
		}

	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#createDb2adminCustomerBG(DataObject createDb2adminCustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onCreateDb2adminCustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#updateDb2adminCustomerBG(DataObject updateDb2adminCustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onUpdateDb2adminCustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#deleteDb2adminCustomerBG(DataObject deleteDb2adminCustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onDeleteDb2adminCustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#retrieveDb2adminCustomerBG(DataObject retrieveDb2adminCustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onRetrieveDb2adminCustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#retrieveallDb2adminCustomerBG(DataObject retrieveallDb2adminCustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onRetrieveallDb2adminCustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#applychangesDb2adminCustomerBG(DataObject applychangesDb2adminCustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onApplychangesDb2adminCustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#existsDb2adminCustomerBG(DataObject existsDb2adminCustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onExistsDb2adminCustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

}